$INCLUDE: 'C:\FG\FASTGRAF.FI'

      PROGRAM MAIN

      INTEGER*1 ARROW(35)
      INTEGER OLD_MODE
      INTEGER FG_GETMODE, FG_TESTMODE
      
      DATA ARROW /
     +   #00,#00,#00,#F0,#00,
     +   #00,#00,#00,#FF,#00,
     +   #FF,#FF,#FF,#FF,#F0,
     +   #FF,#FF,#FF,#FF,#FF,
     +   #FF,#FF,#FF,#FF,#F0,
     +   #00,#00,#00,#FF,#00,
     +   #00,#00,#00,#F0,#00/

      CALL FG_INITPM
      IF (FG_TESTMODE(13,1) .EQ. 0) THEN
         STOP 'This program requires a 320 x 200 EGA graphics mode.'
      END IF

      OLD_MODE = FG_GETMODE()
      CALL FG_SETMODE(13)
      CALL FG_SETCOLOR(1)
      CALL FG_FILLPAGE
      CALL FG_SETCLIP(0,15,0,199)

      CALL FG_MOVE(10,10)
      CALL FG_DRWIMAGE(ARROW,5,7)
      CALL FG_MOVE(10,20)
      CALL FG_CLPIMAGE(ARROW,5,7)
      CALL FG_MOVE(8,30)
      CALL FG_REVIMAGE(ARROW,5,7)
      CALL FG_MOVE(8,40)
      CALL FG_FLPIMAGE(ARROW,5,7)
      CALL FG_MOVE(8,50)
      CALL FG_PUTIMAGE(ARROW,5,7)
      CALL FG_WAITKEY

      CALL FG_SETMODE(OLD_MODE)
      CALL FG_RESET

      STOP ' '
      END
